diff --git a/libpurple/account.h b/libpurple/purpleaccount.h
rename from libpurple/account.h
rename to libpurple/purpleaccount.h
diff --git a/libpurple/account.c b/libpurple/purpleaccount.c
rename from libpurple/account.c
rename to libpurple/purpleaccount.c
--- a/libpurple/account.c
+++ b/libpurple/purpleaccount.c
@@ -22,13 +22,13 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "account.h"
 #include "accounts.h"
 #include "core.h"
 #include "debug.h"
 #include "network.h"
 #include "notify.h"
 #include "prefs.h"
+#include "purpleaccount.h"
 #include "purpleaccountpresence.h"
 #include "purpleaddcontactrequest.h"
 #include "purpleconversationmanager.h"
# HG changeset patch
# Node ID 9215f6598c74
# Parent  cc9e9b7c040a
diff --git a/libpurple/accounts.h b/libpurple/accounts.h
--- a/libpurple/accounts.h
+++ b/libpurple/accounts.h
@@ -26,7 +26,7 @@
 #ifndef PURPLE_ACCOUNTS_H
 #define PURPLE_ACCOUNTS_H
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "status.h"
 
 G_BEGIN_DECLS
diff --git a/libpurple/buddy.h b/libpurple/buddy.h
--- a/libpurple/buddy.h
+++ b/libpurple/buddy.h
@@ -36,13 +36,13 @@
 typedef struct _PurpleBuddy PurpleBuddy;
 typedef struct _PurpleBuddyClass PurpleBuddyClass;
 
-#include "account.h"
 #include "blistnode.h"
 #include "buddyicon.h"
 #include "chat.h"
 #include "contact.h"
 #include "group.h"
 #include "media.h"
+#include "purpleaccount.h"
 #include "purplepresence.h"
 #include "status.h"
 
diff --git a/libpurple/buddyicon.h b/libpurple/buddyicon.h
--- a/libpurple/buddyicon.h
+++ b/libpurple/buddyicon.h
@@ -45,11 +45,11 @@
 
 typedef struct _PurpleBuddyIconSpec PurpleBuddyIconSpec;
 
-#include "account.h"
 #include "blistnode.h"
 #include "buddylist.h"
 #include "image.h"
 #include "protocols.h"
+#include "purpleaccount.h"
 #include "util.h"
 
 /**
diff --git a/libpurple/buddylist.h b/libpurple/buddylist.h
--- a/libpurple/buddylist.h
+++ b/libpurple/buddylist.h
@@ -29,6 +29,7 @@
 /* I can't believe I let ChipX86 inspire me to write good code. -Sean */
 
 #include "buddy.h"
+#include "purpleaccount.h"
 
 #define PURPLE_TYPE_BUDDY_LIST (purple_buddy_list_get_type())
 typedef struct _PurpleBuddyList PurpleBuddyList;
diff --git a/libpurple/buddylist.c b/libpurple/buddylist.c
--- a/libpurple/buddylist.c
+++ b/libpurple/buddylist.c
@@ -23,11 +23,11 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "account.h"
 #include "buddylist.h"
 #include "debug.h"
 #include "notify.h"
 #include "prefs.h"
+#include "purpleaccount.h"
 #include "purpleaccountmanager.h"
 #include "purpleprivate.h"
 #include "purpleprotocol.h"
diff --git a/libpurple/chat.h b/libpurple/chat.h
--- a/libpurple/chat.h
+++ b/libpurple/chat.h
@@ -38,6 +38,7 @@
 
 #include "blistnode.h"
 #include "group.h"
+#include "purpleaccount.h"
 
 /**
  * PurpleChat:
diff --git a/libpurple/cmds.c b/libpurple/cmds.c
--- a/libpurple/cmds.c
+++ b/libpurple/cmds.c
@@ -16,9 +16,9 @@
  *
  */
 
-#include "account.h"
+#include "cmds.h"
+#include "purpleaccount.h"
 #include "purplemarkup.h"
-#include "cmds.h"
 
 static GList *cmds = NULL;
 static guint next_id = 1;
diff --git a/libpurple/connection.h b/libpurple/connection.h
--- a/libpurple/connection.h
+++ b/libpurple/connection.h
@@ -101,7 +101,7 @@
  */
 #define PURPLE_CONNECTION_ERROR (g_quark_from_static_string("purple-connection-error"))
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "purpleconnectionerrorinfo.h"
 #include "purpleprotocol.h"
 #include "status.h"
diff --git a/libpurple/connection.c b/libpurple/connection.c
--- a/libpurple/connection.c
+++ b/libpurple/connection.c
@@ -21,13 +21,13 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "account.h"
 #include "buddylist.h"
 #include "connection.h"
 #include "debug.h"
 #include "notify.h"
 #include "prefs.h"
 #include "proxy.h"
+#include "purpleaccount.h"
 #include "purpleenums.h"
 #include "purpleprivate.h"
 #include "purpleprotocolserver.h"
diff --git a/libpurple/contact.h b/libpurple/contact.h
--- a/libpurple/contact.h
+++ b/libpurple/contact.h
@@ -38,6 +38,7 @@
 
 #include "countingnode.h"
 #include "group.h"
+#include "purpleaccount.h"
 
 /**
  * PurpleMetaContact:
diff --git a/libpurple/group.h b/libpurple/group.h
--- a/libpurple/group.h
+++ b/libpurple/group.h
@@ -38,9 +38,9 @@
 typedef struct _PurpleGroup PurpleGroup;
 typedef struct _PurpleGroupClass PurpleGroupClass;
 
-#include "account.h"
 #include "blistnode.h"
 #include "buddyicon.h"
+#include "purpleaccount.h"
 #include "status.h"
 
 /**************************************************************************/
diff --git a/libpurple/media.c b/libpurple/media.c
--- a/libpurple/media.c
+++ b/libpurple/media.c
@@ -18,10 +18,10 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
-#include "account.h"
 #include "media.h"
 #include "media/backend-iface.h"
 #include "mediamanager.h"
+#include "purpleaccount.h"
 
 #include "debug.h"
 
diff --git a/libpurple/mediamanager.h b/libpurple/mediamanager.h
--- a/libpurple/mediamanager.h
+++ b/libpurple/mediamanager.h
@@ -31,8 +31,8 @@
 
 typedef struct _PurpleMediaManager PurpleMediaManager;
 
-#include "account.h"
 #include "media.h"
+#include "purpleaccount.h"
 
 #define PURPLE_TYPE_MEDIA_MANAGER purple_media_manager_get_type()
 
diff --git a/libpurple/mediamanager.c b/libpurple/mediamanager.c
--- a/libpurple/mediamanager.c
+++ b/libpurple/mediamanager.c
@@ -21,11 +21,11 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "account.h"
 #include "debug.h"
 #include "glibcompat.h"
 #include "media.h"
 #include "mediamanager.h"
+#include "purpleaccount.h"
 #include "purplepath.h"
 
 #include "media-gst.h"
diff --git a/libpurple/meson.build b/libpurple/meson.build
--- a/libpurple/meson.build
+++ b/libpurple/meson.build
@@ -1,5 +1,4 @@
 purple_coresources = [
-	'account.c',
 	'accounts.c',
 	'action.c',
 	'blistnode.c',
@@ -32,6 +31,7 @@
 	'prefs.c',
 	'proxy.c',
 	'protocols.c',
+	'purpleaccount.c',
 	'purpleaccountmanager.c',
 	'purpleaccountoption.c',
 	'purpleaccountpresence.c',
@@ -125,7 +125,6 @@
 ]
 
 purple_coreheaders = [
-	'account.h',
 	'accounts.h',
 	'action.h',
 	'blistnode.h',
@@ -155,6 +154,7 @@
 	'prefs.h',
 	'proxy.h',
 	'protocols.h',
+	'purpleaccount.h',
 	'purpleaccountmanager.h',
 	'purpleaccountoption.h',
 	'purpleaccountpresence.h',
@@ -291,13 +291,13 @@
 ]
 
 purple_enumheaders = [
-	'account.h',
 	'buddyicon.h',
 	'connection.h',
 	'debug.h',
 	'eventloop.h',
 	'notify.h',
 	'plugins.h',
+	'purpleaccount.h',
 	'purplechatuser.h',
 	'purpleconnectionerrorinfo.h',
 	'purplecontactinfo.h',
diff --git a/libpurple/network.c b/libpurple/network.c
--- a/libpurple/network.c
+++ b/libpurple/network.c
@@ -31,9 +31,9 @@
 #endif
 
 #include "debug.h"
-#include "account.h"
 #include "network.h"
 #include "prefs.h"
+#include "purpleaccount.h"
 
 static gboolean force_online = FALSE;
 
diff --git a/libpurple/proxy.h b/libpurple/proxy.h
--- a/libpurple/proxy.h
+++ b/libpurple/proxy.h
@@ -28,9 +28,9 @@
 
 #include <glib.h>
 #include <gio/gio.h>
+
 #include "eventloop.h"
-
-#include "account.h"
+#include "purpleaccount.h"
 #include "purpleproxyinfo.h"
 
 G_BEGIN_DECLS
diff --git a/libpurple/purpleaccountmanager.h b/libpurple/purpleaccountmanager.h
--- a/libpurple/purpleaccountmanager.h
+++ b/libpurple/purpleaccountmanager.h
@@ -26,7 +26,7 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "account.h"
+#include "purpleaccount.h"
 
 G_BEGIN_DECLS
 
diff --git a/libpurple/purpleaccountmanager.c b/libpurple/purpleaccountmanager.c
--- a/libpurple/purpleaccountmanager.c
+++ b/libpurple/purpleaccountmanager.c
@@ -19,9 +19,9 @@
 #include "purpleaccountmanager.h"
 #include "purpleprivate.h"
 
-#include "account.h"
 #include "accounts.h"
 #include "core.h"
+#include "purpleaccount.h"
 
 enum {
 	SIG_ADDED,
diff --git a/libpurple/purpleaccountpresence.h b/libpurple/purpleaccountpresence.h
--- a/libpurple/purpleaccountpresence.h
+++ b/libpurple/purpleaccountpresence.h
@@ -26,7 +26,7 @@
 #ifndef PURPLE_ACCOUNT_PRESENCE_H
 #define PURPLE_ACCOUNT_PRESENCE_H
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "purplepresence.h"
 
 G_BEGIN_DECLS
diff --git a/libpurple/purpleaddcontactrequest.h b/libpurple/purpleaddcontactrequest.h
--- a/libpurple/purpleaddcontactrequest.h
+++ b/libpurple/purpleaddcontactrequest.h
@@ -26,7 +26,7 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "account.h"
+#include "purpleaccount.h"
 
 G_BEGIN_DECLS
 
diff --git a/libpurple/purpleauthorizationrequest.h b/libpurple/purpleauthorizationrequest.h
--- a/libpurple/purpleauthorizationrequest.h
+++ b/libpurple/purpleauthorizationrequest.h
@@ -26,7 +26,7 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "account.h"
+#include "purpleaccount.h"
 
 G_BEGIN_DECLS
 
diff --git a/libpurple/purplecontact.h b/libpurple/purplecontact.h
--- a/libpurple/purplecontact.h
+++ b/libpurple/purplecontact.h
@@ -36,7 +36,7 @@
 G_DECLARE_FINAL_TYPE(PurpleContact, purple_contact, PURPLE, CONTACT,
                      PurpleContactInfo)
 
-#include "account.h"
+#include "purpleaccount.h"
 
 /**
  * PurpleContact:
diff --git a/libpurple/purplecontactmanager.h b/libpurple/purplecontactmanager.h
--- a/libpurple/purplecontactmanager.h
+++ b/libpurple/purplecontactmanager.h
@@ -26,7 +26,7 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "purplecontact.h"
 
 G_BEGIN_DECLS
diff --git a/libpurple/purpleconversation.h b/libpurple/purpleconversation.h
--- a/libpurple/purpleconversation.h
+++ b/libpurple/purpleconversation.h
@@ -143,9 +143,9 @@
 	gpointer reserved[4];
 };
 
+#include "buddyicon.h"
 #include "purpleconversationuiops.h"
-#include "account.h"
-#include "buddyicon.h"
+#include "purpleaccount.h"
 
 G_BEGIN_DECLS
 
diff --git a/libpurple/purplecredentialmanager.h b/libpurple/purplecredentialmanager.h
--- a/libpurple/purplecredentialmanager.h
+++ b/libpurple/purplecredentialmanager.h
@@ -26,7 +26,7 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "purplecredentialprovider.h"
 
 G_BEGIN_DECLS
diff --git a/libpurple/purplecredentialprovider.h b/libpurple/purplecredentialprovider.h
--- a/libpurple/purplecredentialprovider.h
+++ b/libpurple/purplecredentialprovider.h
@@ -26,7 +26,7 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "request.h"
 
 G_BEGIN_DECLS
diff --git a/libpurple/purplefiletransfer.c b/libpurple/purplefiletransfer.c
--- a/libpurple/purplefiletransfer.c
+++ b/libpurple/purplefiletransfer.c
@@ -20,7 +20,7 @@
  * License along with this library; if not, see <https://www.gnu.org/licenses/>.
  */
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "purplecontactinfo.h"
 #include "purpleenums.h"
 #include "purplefiletransfer.h"
diff --git a/libpurple/purplegio.h b/libpurple/purplegio.h
--- a/libpurple/purplegio.h
+++ b/libpurple/purplegio.h
@@ -37,7 +37,7 @@
  * gracefully.
  */
 
-#include "account.h"
+#include "purpleaccount.h"
 
 #include <gio/gio.h>
 
diff --git a/libpurple/purpleimconversation.h b/libpurple/purpleimconversation.h
--- a/libpurple/purpleimconversation.h
+++ b/libpurple/purpleimconversation.h
@@ -55,7 +55,7 @@
 typedef struct _PurpleIMConversation           PurpleIMConversation;
 typedef struct _PurpleIMConversationClass      PurpleIMConversationClass;
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "purpleconversation.h"
 
 /**
diff --git a/libpurple/purplenotification.h b/libpurple/purplenotification.h
--- a/libpurple/purplenotification.h
+++ b/libpurple/purplenotification.h
@@ -26,7 +26,7 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "purpleauthorizationrequest.h"
 #include "purpleaddcontactrequest.h"
 
diff --git a/libpurple/purplenotificationmanager.h b/libpurple/purplenotificationmanager.h
--- a/libpurple/purplenotificationmanager.h
+++ b/libpurple/purplenotificationmanager.h
@@ -26,7 +26,7 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "purplenotification.h"
 
 G_BEGIN_DECLS
diff --git a/libpurple/purpleprotocol.h b/libpurple/purpleprotocol.h
--- a/libpurple/purpleprotocol.h
+++ b/libpurple/purpleprotocol.h
@@ -43,10 +43,10 @@
 G_DECLARE_DERIVABLE_TYPE(PurpleProtocol, purple_protocol, PURPLE, PROTOCOL,
                          GObject)
 
-#include "account.h"
 #include "buddyicon.h"
 #include "connection.h"
 #include "image.h"
+#include "purpleaccount.h"
 #include "purpleaccountoption.h"
 #include "purpleaccountusersplit.h"
 #include "purplemessage.h"
diff --git a/libpurple/purpleprotocolclient.h b/libpurple/purpleprotocolclient.h
--- a/libpurple/purpleprotocolclient.h
+++ b/libpurple/purpleprotocolclient.h
@@ -30,7 +30,7 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "connection.h"
 #include "purpleprotocol.h"
 
diff --git a/libpurple/purpleprotocolconversation.h b/libpurple/purpleprotocolconversation.h
--- a/libpurple/purpleprotocolconversation.h
+++ b/libpurple/purpleprotocolconversation.h
@@ -30,7 +30,7 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "purplechanneljoindetails.h"
 #include "purpleconversation.h"
 #include "purplemessage.h"
diff --git a/libpurple/purpleprotocolmedia.h b/libpurple/purpleprotocolmedia.h
--- a/libpurple/purpleprotocolmedia.h
+++ b/libpurple/purpleprotocolmedia.h
@@ -30,8 +30,8 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "account.h"
 #include "media.h"
+#include "purpleaccount.h"
 #include "purpleprotocol.h"
 
 #define PURPLE_TYPE_PROTOCOL_MEDIA (purple_protocol_media_get_type())
diff --git a/libpurple/purpleprotocolroster.h b/libpurple/purpleprotocolroster.h
--- a/libpurple/purpleprotocolroster.h
+++ b/libpurple/purpleprotocolroster.h
@@ -30,7 +30,7 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "purplecontact.h"
 #include "purpleprotocol.h"
 
diff --git a/libpurple/purpleprotocolserver.h b/libpurple/purpleprotocolserver.h
--- a/libpurple/purpleprotocolserver.h
+++ b/libpurple/purpleprotocolserver.h
@@ -30,10 +30,10 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "account.h"
 #include "buddy.h"
 #include "connection.h"
 #include "group.h"
+#include "purpleaccount.h"
 #include "purplemessage.h"
 #include "purpleprotocol.h"
 
diff --git a/libpurple/purpleprotocolwhiteboard.h b/libpurple/purpleprotocolwhiteboard.h
--- a/libpurple/purpleprotocolwhiteboard.h
+++ b/libpurple/purpleprotocolwhiteboard.h
@@ -30,7 +30,7 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "purplewhiteboard.h"
 
 #define PURPLE_TYPE_PROTOCOL_WHITEBOARD (purple_protocol_whiteboard_get_type())
diff --git a/libpurple/purplesqlitehistoryadapter.c b/libpurple/purplesqlitehistoryadapter.c
--- a/libpurple/purplesqlitehistoryadapter.c
+++ b/libpurple/purplesqlitehistoryadapter.c
@@ -22,7 +22,7 @@
 
 #include "purplesqlitehistoryadapter.h"
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "purpleprivate.h"
 #include "purplesqlite3.h"
 
diff --git a/libpurple/purplewhiteboard.h b/libpurple/purplewhiteboard.h
--- a/libpurple/purplewhiteboard.h
+++ b/libpurple/purplewhiteboard.h
@@ -30,8 +30,7 @@
 #define PURPLE_TYPE_WHITEBOARD (purple_whiteboard_get_type())
 typedef struct _PurpleWhiteboard PurpleWhiteboard;
 
-#include "account.h"
-
+#include "purpleaccount.h"
 #include "purplewhiteboardops.h"
 
 /**
diff --git a/libpurple/request.h b/libpurple/request.h
--- a/libpurple/request.h
+++ b/libpurple/request.h
@@ -43,7 +43,7 @@
 
 typedef struct _PurpleRequestUiOps PurpleRequestUiOps;
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "purpleconversation.h"
 #include "request/purplerequestpage.h"
 #include "request/purplerequestgroup.h"
diff --git a/libpurple/request/purplerequestfieldaccount.h b/libpurple/request/purplerequestfieldaccount.h
--- a/libpurple/request/purplerequestfieldaccount.h
+++ b/libpurple/request/purplerequestfieldaccount.h
@@ -30,7 +30,7 @@
 #include <glib.h>
 #include <glib-object.h>
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "purplerequestfield.h"
 
 /**
diff --git a/libpurple/request/purplerequestpage.h b/libpurple/request/purplerequestpage.h
--- a/libpurple/request/purplerequestpage.h
+++ b/libpurple/request/purplerequestpage.h
@@ -39,7 +39,7 @@
  */
 typedef struct _PurpleRequestPage PurpleRequestPage;
 
-#include "account.h"
+#include "purpleaccount.h"
 #include "purplerequestgroup.h"
 #include "purplerequestfield.h"
 
diff --git a/libpurple/roomlist.h b/libpurple/roomlist.h
--- a/libpurple/roomlist.h
+++ b/libpurple/roomlist.h
@@ -53,8 +53,9 @@
 
 } PurpleRoomlistFieldType;
 
-#include "account.h"
 #include <glib.h>
+
+#include "purpleaccount.h"
 #include "purpleroomlistroom.h"
 
 /**************************************************************************/
diff --git a/libpurple/roomlist.c b/libpurple/roomlist.c
--- a/libpurple/roomlist.c
+++ b/libpurple/roomlist.c
@@ -19,9 +19,9 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#include "account.h"
 #include "connection.h"
 #include "debug.h"
+#include "purpleaccount.h"
 #include "roomlist.h"
 #include "server.h"
 
diff --git a/libpurple/util.h b/libpurple/util.h
--- a/libpurple/util.h
+++ b/libpurple/util.h
@@ -29,14 +29,13 @@
 
 #include <stdio.h>
 
-#include "account.h"
 #include "signals.h"
 #include "xmlnode.h"
 #include "notify.h"
 #include "protocols.h"
+#include "purpleaccount.h"
 #include "purpleprotocol.h"
 
-
 G_BEGIN_DECLS
 
 /**************************************************************************/
diff --git a/libpurple/xfer.h b/libpurple/xfer.h
--- a/libpurple/xfer.h
+++ b/libpurple/xfer.h
@@ -37,8 +37,8 @@
 #include <glib.h>
 #include <stdio.h>
 
-#include "account.h"
 #include "connection.h"
+#include "purpleaccount.h"
 #include "purpleprotocol.h"
 
 /**
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -21,7 +21,6 @@
 finch/plugins/gnttinyurl/gnttinyurl.c
 finch/plugins/grouping/grouping.c
 finch/plugins/lastlog/lastlog.c
-libpurple/account.c
 libpurple/accounts.c
 libpurple/action.c
 libpurple/blistnode.c
@@ -142,6 +141,7 @@
 libpurple/protocols/jabber/xdata.c
 libpurple/protocols/jabber/xmpp.c
 libpurple/proxy.c
+libpurple/purpleaccount.c
 libpurple/purpleaccountmanager.c
 libpurple/purpleaccountoption.c
 libpurple/purpleaccountpresence.c
